Subject: Hand-Held Tool Cuts Through Drywall, Tile and Stone!

From: "VibraRazer Tool" <[email-masked]>
Date: Thu, 12 Jan 2017 08:09:10 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.